<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.nokia</groupId>
    <artifactId>report_auto</artifactId>
    <version>1.0</version>

    <packaging>pom</packaging>

    <modules>
        <module>common</module>
        <module>dingtalk_auto</module>
        <module>tsl_data</module>
    </modules>

    <properties>
        <!-- 指定java的版本 -->
        <java.version>1.8</java.version>
        <!-- 指定编译的版本 -->
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <maven.compiler.compilerVersion>1.8</maven.compiler.compilerVersion>
    </properties>

    <dependencyManagement>
        <dependencies>
            <!-- 当不把spring-boot-parent
            作为parent项目时,需要使用dependencyManagement引入spring-boot-dependencies管理依赖 -->
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>2.6.14</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>